Get encoded VTXO
curl --request GET \
--url https://api.example.com/api/v1/wallet/vtxos/{id}/encoded \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/wallet/vtxos/{id}/encoded"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/wallet/vtxos/{id}/encoded', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"encoded": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"resources": [
"<string>"
]
}{
"message": "<string>"
}wallet
Get encoded VTXO
Returns the hex-encoded serialization of a VTXO. The encoded field can be passed to POST /wallet/import-vtxo to re-import this VTXO.
GET
/
api
/
v1
/
wallet
/
vtxos
/
{id}
/
encoded
Get encoded VTXO
Authorizations
Base64url-encoded auth token
Path Parameters
VTXO identifier formatted as txid:vout.
Response
Returns the hex-encoded serialized VTXO
Response for the encoded-VTXO endpoint.
Wraps the hex-encoded VTXO in a named field so clients can easily extract it.
Hex-encoded serialized VTXO.
Was this page helpful?
⌘I